Loading...
Searching...
No Matches
buffer_view.h File Reference
`#include <iostream>`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::buffer_view< T >

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::string_view = buffer_view<char>
using | mqtt::binary_view = buffer_view<char>

## Functions

template<typename T>
std::ostream & | mqtt::operator<< (std::ostream &os, const buffer_view< T > &buf)

## Detailed Description

Buffer reference type for the Paho MQTT C++ library.

Date
  April 18, 2017

Author
  Frank Pagliughi